import 'package:equatable/equatable.dart';

abstract class GatewayEvent extends Equatable {
  const GatewayEvent();

  @override
  List<Object> get props => [];
}

class GatewayInitial extends GatewayEvent {
  final String gatewayId;
  const GatewayInitial({required this.gatewayId});

  @override
  List<Object> get props => [gatewayId];
}

class GatewayLoading extends GatewayEvent {}

class GatewayUpdateState extends GatewayEvent {}
