import 'package:flutter/material.dart';
import 'package:syncrow_app/features/menu/view/widgets/securty/view/change_password_page.dart';
import 'package:syncrow_app/features/shared_widgets/default_container.dart';
import 'package:syncrow_app/features/shared_widgets/default_scaffold.dart';
import 'package:syncrow_app/features/shared_widgets/text_widgets/body_medium.dart';
import 'package:syncrow_app/utils/resource_manager/color_manager.dart';

class SecurtyView extends StatelessWidget {
  const SecurtyView({super.key});

  @override
  Widget build(BuildContext context) {
    return DefaultScaffold(
      title: 'Security',
      child: Column(
        children: [
          DefaultContainer(
            padding: const EdgeInsets.symmetric(
              horizontal: 25,
              vertical: 20,
            ),
            child: Column(
              mainAxisSize: MainAxisSize.min,
              mainAxisAlignment: MainAxisAlignment.start,
              children: [
                InkWell(
                  onTap: () {
                    Navigator.of(context).push(MaterialPageRoute(
                      builder: (context) => const ChangePasswordPage(),
                    ));
                  },
                  child: const Column(
                    crossAxisAlignment: CrossAxisAlignment.start,
                    mainAxisSize: MainAxisSize.min,
                    children: [
                      Row(
                        mainAxisAlignment: MainAxisAlignment.spaceBetween,
                        children: [
                          BodyMedium(
                            text: 'Change Password',
                          ),
                          Icon(
                            Icons.arrow_forward_ios,
                            color: ColorsManager.greyColor,
                            size: 15,
                          )
                        ],
                      ),
                      // Container(
                      //   margin: const EdgeInsets.symmetric(vertical: 15),
                      //   height: 1,
                      //   color: ColorsManager.greyColor,
                      // ),
                    ],
                  ),
                ),
                // InkWell(
                //   onTap: () {},
                //   child: Column(
                //     crossAxisAlignment: CrossAxisAlignment.start,
                //     mainAxisSize: MainAxisSize.min,
                //     children: [
                //       const Row(
                //         mainAxisAlignment: MainAxisAlignment.spaceBetween,
                //         children: [
                //           BodyMedium(
                //             text: 'App Lock',
                //           ),
                //           Icon(
                //             Icons.arrow_forward_ios,
                //             color: ColorsManager.greyColor,
                //             size: 15,
                //           )
                //         ],
                //       ),
                //       Container(
                //         margin: const EdgeInsets.symmetric(vertical: 15),
                //         height: 1,
                //         color: ColorsManager.greyColor,
                //       ),
                //     ],
                //   ),
                // ),
                // InkWell(
                //   onTap: () {},
                //   child: Column(
                //     crossAxisAlignment: CrossAxisAlignment.start,
                //     mainAxisSize: MainAxisSize.min,
                //     children: [
                //       const Row(
                //         mainAxisAlignment: MainAxisAlignment.spaceBetween,
                //         children: [
                //           BodyMedium(
                //             text: 'User Code',
                //           ),
                //           Icon(
                //             Icons.arrow_forward_ios,
                //             color: ColorsManager.greyColor,
                //             size: 15,
                //           )
                //         ],
                //       ),
                //       Container(
                //         margin: const EdgeInsets.symmetric(vertical: 15),
                //         height: 1,
                //         color: ColorsManager.greyColor,
                //       ),
                //     ],
                //   ),
                // ),
                // InkWell(
                //   onTap: () {},
                //   child: Column(
                //     crossAxisAlignment: CrossAxisAlignment.start,
                //     mainAxisSize: MainAxisSize.min,
                //     children: [
                //       const Row(
                //         mainAxisAlignment: MainAxisAlignment.spaceBetween,
                //         children: [
                //           BodyMedium(
                //             text: 'Delete Account',
                //           ),
                //           Icon(
                //             Icons.arrow_forward_ios,
                //             color: ColorsManager.greyColor,
                //             size: 15,
                //           )
                //         ],
                //       ),
                //       Container(
                //         margin: const EdgeInsets.symmetric(vertical: 15),
                //         height: 1,
                //         color: ColorsManager.greyColor,
                //       ),
                //     ],
                //   ),
                // ),
                // InkWell(
                //   onTap: () {},
                //   child: const Row(
                //     mainAxisAlignment: MainAxisAlignment.spaceBetween,
                //     children: [
                //       BodyMedium(
                //         text: 'Device Update',
                //       ),
                //       Icon(
                //         Icons.arrow_forward_ios,
                //         color: ColorsManager.greyColor,
                //         size: 15,
                //       )
                //     ],
                //   ),
                // ),
              ],
            ),
          ),
        ],
      ),
    );
  }
}
