import 'package:flutter/material.dart';

class CustomText extends StatelessWidget {
  const CustomText(this.text,
      {super.key,
      this.style,
      this.textAlign,
      this.onTap,
      this.minLines,
      this.maxLines,
      this.textDirection,
      this.textOverflow,
      this.fontSize,
      this.fontColor,
      this.fontWeight});

  final String text;
  final TextStyle? style;
  final TextAlign? textAlign;
  final Function()? onTap;
  final int? minLines;
  final int? maxLines;
  final TextDirection? textDirection;
  final TextOverflow? textOverflow;

  final double? fontSize;
  final Color? fontColor;

  final FontWeight? fontWeight;

  @override
  Widget build(BuildContext context) {
    //was SelectableText
    return Text(
      softWrap: true,
      text,
      style: style,
      textAlign: textAlign,
      // onTap: onTap,
      // minLines: minLines,
      overflow: textOverflow,
      maxLines: maxLines,
      textDirection: textDirection,
    );
  }
}
