abstract class AppMargin {
  static const m8 = 8.0;
  static const m12 = 12.0;
  static const m14 = 14.0;
  static const m16 = 16.0;
  static const m18 = 18.0;
  static const m20 = 20.0;
  static const m24 = 24.0;
  static const m32 = 32.0;
  static const m40 = 40.0;
  static const m65 = 65.0;
}

abstract class AppPadding {
  static const p4 = 4.0;
  static const p8 = 8.0;
  static const p12 = 12.0;
  static const p14 = 14.0;
  static const p16 = 16.0;
  static const paragraphPadding = 15.0;
  static const p18 = 18.0;
  static const p20 = 20.0;
  static const titleSmallPadding = 20.0;
  static const p24 = 24.0;
  static const p32 = 32.0;
  static const p40 = 40.0;
  static const p65 = 65.0;
  static const p80 = 80.0;
  static const p100 = 100.0;
  static const p150 = 150.0;
  static const deskTopPadding = 160.0;
  static const tabletPadding = 100.0;
  static const mobilePadding = 40.0;
}

abstract class AppSize {
  static const s8 = 8.0;
  static const s12 = 12.0;
  static const s14 = 14.0;
  static const s16 = 16.0;
  static const s18 = 18.0;
  static const s20 = 20.0;
  static const s24 = 24.0;
  static const s32 = 32.0;
  static const s40 = 40.0;

  static const double logoHeight = 80;
  static const double appBarHeight = 40;
}

abstract class AppRadius {
  static const r4 = 4.0;
  static const r8 = 8.0;
  static const r12 = 12.0;
  static const r14 = 14.0;
  static const r16 = 16.0;
  static const r18 = 18.0;
  static const r50 = 50.0;
}
