import 'package:flutter/material.dart';
import 'package:syncrow_app/utils/context_extension.dart';

import 'custom_text_widget.dart';

class TitleSmall extends StatelessWidget {
  const TitleSmall({
    required this.text,
    super.key,
    this.style,
    this.textAlign,
  });

  final String text;
  final TextStyle? style;
  final TextAlign? textAlign;

  @override
  Widget build(BuildContext context) => CustomText(
        text,
        style: style ?? context.titleSmall,
        textAlign: textAlign,
      );
}
